Package org.bgerp.plugin.bil.invoice.dao

# Class InvoiceSearchDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.bil.invoice.dao.InvoiceSearchDAO

public class InvoiceSearchDAO extends CommonDAO
Fluent invoice search DAO.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvoiceSearchDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InvoiceSearchDAO`
  `orderDefault()`
  Reverse order by date from desc, than ID desc.
  `void`
  `search(Pageable<Invoice> result)`
  `InvoiceSearchDAO`
  `withPaid(boolean value)`
  `InvoiceSearchDAO`
  `withProcessId(int value)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceSearchDAO

    public InvoiceSearchDAO(Connection con)

- ## Method Details

  - ### withProcessId

    public InvoiceSearchDAO withProcessId(int value)

  - ### withPaid

    public InvoiceSearchDAO withPaid(boolean value)

  - ### orderDefault

    public InvoiceSearchDAO orderDefault()
    Reverse order by date from desc, than ID desc.
    Returns:

  - ### search

    public void search(Pageable<Invoice> result) throws Exception
    Throws:
      `Exception`